<?php
include_once("c_esmo_magnit_instruction_card_db.php");
class c_page_cab_esmo_magnit_instruction_card_db_viewer extends c_page_cab_esmo_magnit_instruction_card_db
{
  public $h1='Дамп записей вьювера (временной таблицы IDs) мероприятия ' ;
  function block_main()
  { $this->page_title() ;
    // информация по фильтрам персонала
    PERSONALS_FILTER()->show_personal_filter_db_info($this->rec_event['_reffer']) ;

    $temp_table=PERSONALS_FILTER()->get_viewer_name_by_filter_reffer($this->rec_event['_reffer'],['debug'=>1]) ;

    ?><strong>Дубликаты ID ФЛ из вьювера</strong> (совмещенцы с попаданием обоих должностей в мероприятие) <?echo $temp_table?><?
    $recs=execSQL('select pkey as id,count(pkey) as cnt from '.$temp_table.' group by pkey having cnt>1',0,1) ;
    if (_sizeof($recs)) print_2x_arr($recs); echo ' - <span class=green>Отсутствуют</span><br>' ;

    $cnt=execSQL_value('select count(pkey) from '.$temp_table.' ') ;
    echo 'Всего в таблице <strong>'.$cnt.'</strong> записей, показаны последние 100<br>' ;
	$recs=execSQL('select pkey as id from '.$temp_table.' order by pkey desc limit 100',0,1) ;
	print_2x_arr($recs) ;
  }


}



?>
